Skip to content
Proud to collaborate with Microsoft for Startups

docusign.connect-events.get-connect-logs-v2-1 ​

Retrieves a list of the 100 most recent Connect log entries for your account. <ds-inlinemessage> To use this method, you must be an account administrator and Connect must be enabled on your account. </ds-inlinemessage> The enableLog setting in the Connect configuration must be set to true to enable logging. Log entries are deleted after 15 days.

Gets the Connect log.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
from_datestringNo—The start date for a date range in UTC DateTime format. Note: If this property is null, no date filtering is applied.
to_datestringNo—The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. Note: If this property is null, the value defaults to the current date.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
from_datestringNo—The start date for a date range in UTC DateTime format. Note: If this property is null, no date filtering is applied.
to_datestringNo—The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. Note: If this property is null, the value defaults to the current date.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/connect/logs
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/connect/logs
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.connect-events.get-connect-logs-v2-1",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}